Mailinglist Archive: opensuse-updates (175 mails)

< Previous Next >
openSUSE-SU-2020:0274-1: moderate: Security update for python3
openSUSE Security Update: Security update for python3
______________________________________________________________________________

Announcement ID: openSUSE-SU-2020:0274-1
Rating: moderate
References: #1162224 #1162367 #1162423 #1162825
Cross-References: CVE-2019-9674 CVE-2020-8492
Affected Products:
openSUSE Leap 15.1
______________________________________________________________________________

An update that solves two vulnerabilities and has two fixes
is now available.

Description:

This update for python3 fixes the following issues:

Security issues fixed:

- CVE-2019-9674: Improved the documentation to reflect the dangers of
zip-bombs (bsc#1162825).
- CVE-2020-8492: Fixed a regular expression in urrlib that was prone to
denial of service via HTTP (bsc#1162367).

Non-security issue fixed:

- If the locale is "C", coerce it to C.UTF-8 (bsc#1162423).

This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.1:

zypper in -t patch openSUSE-2020-274=1



Package List:

- openSUSE Leap 15.1 (i586 x86_64):

libpython3_6m1_0-3.6.10-lp151.6.11.1
libpython3_6m1_0-debuginfo-3.6.10-lp151.6.11.1
python3-3.6.10-lp151.6.11.1
python3-base-3.6.10-lp151.6.11.1
python3-base-debuginfo-3.6.10-lp151.6.11.1
python3-base-debugsource-3.6.10-lp151.6.11.1
python3-curses-3.6.10-lp151.6.11.1
python3-curses-debuginfo-3.6.10-lp151.6.11.1
python3-dbm-3.6.10-lp151.6.11.1
python3-dbm-debuginfo-3.6.10-lp151.6.11.1
python3-debuginfo-3.6.10-lp151.6.11.1
python3-debugsource-3.6.10-lp151.6.11.1
python3-devel-3.6.10-lp151.6.11.1
python3-devel-debuginfo-3.6.10-lp151.6.11.1
python3-idle-3.6.10-lp151.6.11.1
python3-testsuite-3.6.10-lp151.6.11.1
python3-testsuite-debuginfo-3.6.10-lp151.6.11.1
python3-tk-3.6.10-lp151.6.11.1
python3-tk-debuginfo-3.6.10-lp151.6.11.1
python3-tools-3.6.10-lp151.6.11.1

- openSUSE Leap 15.1 (x86_64):

libpython3_6m1_0-32bit-3.6.10-lp151.6.11.1
libpython3_6m1_0-32bit-debuginfo-3.6.10-lp151.6.11.1
python3-32bit-3.6.10-lp151.6.11.1
python3-32bit-debuginfo-3.6.10-lp151.6.11.1
python3-base-32bit-3.6.10-lp151.6.11.1
python3-base-32bit-debuginfo-3.6.10-lp151.6.11.1


References:

https://www.suse.com/security/cve/CVE-2019-9674.html
https://www.suse.com/security/cve/CVE-2020-8492.html
https://bugzilla.suse.com/1162224
https://bugzilla.suse.com/1162367
https://bugzilla.suse.com/1162423
https://bugzilla.suse.com/1162825


< Previous Next >
This Thread
  • No further messages